//
//  CHViewController.m
//  FilterSafari
//
//  Created by Lingostar on 2014. 3. 27..
//  Copyright (c) 2014년 CodersHigh. All rights reserved.
//

#import "CHViewController.h"

@interface CHViewController () <UIWebViewDelegate>

@property (weak, nonatomic) IBOutlet UIWebView *filterWebView;
@property (weak, nonatomic) IBOutlet UITextField *userURLField;
@property (weak, nonatomic) IBOutlet UILabel *statusLabel;

- (IBAction)loadURL:(id)sender;
@end

@implementation CHViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)loadURL:(id)sender {
    NSString *userInputString = self.userURLField.text;
    
    BOOL hasHTTP = [userInputString hasPrefix:@"http://"];
    NSString *tidyURLString;
    if (!hasHTTP){
        tidyURLString = [NSString stringWithFormat:@"http://%@", userInputString];
    } else {
        tidyURLString = userInputString;
    }

    
    NSArray *userURLArray = [userInputString componentsSeparatedByString:@"://"];
    if ([userURLArray count] < 2){
        tidyURLString = [NSString stringWithFormat:@"http://%@", userInputString];
    } else {
        tidyURLString = userInputString;
    }
    
    NSURL *userURL = [NSURL URLWithString:tidyURLString];
    NSURLRequest *userRequest = [NSURLRequest requestWithURL:userURL];
    NSURLRequest *testURLRequest = [NSURLRequest requestWithURL:userURL];
    [self.filterWebView loadRequest:userRequest];
}

#pragma mark - WebView Delegate

- (BOOL)webView:(UIWebView *)webView shouldStartLoadWithRequest:(NSURLRequest *)request navigationType:(UIWebViewNavigationType)navigationType
{
    NSURL *requestURL = [request URL];
    NSString *hostname = [requestURL host];
    
    NSArray *hostArray = [hostname componentsSeparatedByString:@"."];
    if ([[hostArray objectAtIndex:1] isEqualToString:@"19x"]){
        NSLog(@"I'm Watching");
        return NO;
    }
    
    return YES;
}

- (void)webViewDidStartLoad:(UIWebView *)webView
{
    [self.userURLField resignFirstResponder];
    self.statusLabel.text = @"Loading...";
}
- (void)webViewDidFinishLoad:(UIWebView *)webView
{
    self.statusLabel.text = @"Load Done";
}












@end
